--- old/usr/src/cmd/ptools/Makefile.bld	Tue Jan  8 12:35:33 2019
+++ new/usr/src/cmd/ptools/Makefile.bld	Tue Jan  8 12:35:33 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG:sh = basename `cd ..; pwd`
 
@@ -56,11 +57,15 @@
 LDLIBS += $(LDLIBS_$(PROG))
 
 CERRWARN_plgrp	+= -_gcc=-Wno-parentheses
+CERRWARN_plgrp	+= -_smatch=off
 
+CERRWARN_pmadvise += -_smatch=off
+
 CERRWARN_ppriv	+= -_gcc=-Wno-parentheses
 CERRWARN_ppriv	+= -_gcc=-Wno-uninitialized
 
 CERRWARN_ptree	+= -_gcc=-Wno-parentheses
+CERRWARN_ptree	+= -_smatch=off
 
 CERRWARN_pstack	+= -_gcc=-Wno-uninitialized
 CERRWARN_pstack	+= -_gcc=-Wno-clobbered
@@ -68,6 +73,8 @@
 CERRWARN_pargs	+= -_gcc=-Wno-clobbered
 CERRWARN_pargs	+= -_gcc=-Wno-type-limits
 
+CERRWARN_pwait	+= -_smatch=off
+
 CERRWARN += $(CERRWARN_$(PROG))
 
 # pargs depends on ../../common/elfcap components
